Orders
Orders Notes List
Retrieve a list of all order notes in an existing order.
Authorization
oauth2 orders:readAuthorizationBearer <token>
Generate an Access Token through Settings > API Access for single store access or use the Authorization Code flow with your partner App Client ID. Use required permission scopes for API endpoint access. Example Authorization: Bearer 123
In: header
Scope: orders:read
Path Parameters
number*Order number
Query Parameters
cursor?string
The pagination cursor value.
Header Parameters
X-29next-API-Version*"2023-02-10"
Default
"2023-02-10"Value in
- "2023-02-10"
Response Body
application/json
curl -X GET "https://example.com/orders/string/notes/" \ -H "X-29next-API-Version: 2023-02-10"{ "next": "http://example.com", "previous": "http://example.com", "results": [ { "app": { "client_id": "string", "name": "string" }, "author": { "email": "user@example.com", "first_name": "string", "id": 0, "last_name": "string" }, "date_created": "2019-08-24T14:15:22Z", "date_updated": "2019-08-24T14:15:22Z", "id": 0, "message": "string" } ]}